require_relative 'lib/estated/version'

Gem::Specification.new do |spec|
  spec.name          = "estated"
  spec.version       = Estated::VERSION
  spec.authors       = ["Alex VKO", "Débora Setton", "Felipe Pedroni Favoreto"]
  spec.email         = ["engineering@nestready.ai"]

  spec.summary       = %q{Ruby client for Estated API: https://estated.com/developers/docs/v4}
  spec.homepage      = "https://github.com/navut/estated-ruby-client"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/navut/estated-ruby-client"

  # TODO: have a CHANGELOG.md
  # spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "httparty"
  spec.add_dependency "mongo"

  spec.add_development_dependency "byebug"
  spec.add_development_dependency "dotenv"
  spec.add_development_dependency "vcr"
  spec.add_development_dependency "webmock"
end
